## org.eclipse.emf.edit.tree.provider
Class TreeNodeItemProvider

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterImpl
          org.eclipse.emf.edit.provider.ItemProviderAdapter
              org.eclipse.emf.edit.tree.provider.TreeNodeItemProvider

All Implemented Interfaces:
  Adapter, Adapter.Internal, ResourceLocator, CreateChildCommand.Helper, IChangeNotifier, IDisposable, IEditingDomainItemProvider, IItemLabelProvider, IItemPropertySource, INotifyChangedListener, IStructuredItemContentProvider, ITreeItemContentProvider

    public class TreeNodeItemProvider

extends ItemProviderAdapter
implements IEditingDomainItemProvider, INotifyChangedListener, IStructuredItemContentProvider, ITreeItemContentProvider, IItemLabelProvider, IItemPropertySource

This is the item provider adpater for a `TreeNode` object.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`ItemProviderAdapter.ChildrenStore, ItemProviderAdapter.ModifiableSingletonEList<E>, ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommand, ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate`

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`Adapter.Internal`

Field Summary
`protected IChangeNotifier` `delegateItemProvider`
`protected AdapterFactoryItemDelegator` `itemDelegator`

Fields inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`adapterFactory, changeNotifier, childrenFeatures, childrenReferences, childrenStoreMap, itemPropertyDescriptors, targets, wrappers, wrappingNeeded`

Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`target`

Constructor Summary
`TreeNodeItemProvider(AdapterFactory adapterFactory)` This constructs an instance from a factory and a notifier.

Method Summary
`protected void` `collectNewChildDescriptors(java.util.Collection<java.lang.Object> newChildDescriptors, java.lang.Object object)` This adds `CommandParameter`s describing the children that can be created under this object.
`void` `dispose()` This will remove this adapter from all its the targets and dispose any remainging children wrappers in the children store.
`java.util.Collection<? extends EStructuralFeature>` `getChildrenFeatures(java.lang.Object object)` This specifies how to implement `getChildren` and is used to deduce an appropriate feature for an `AddCommand`, `RemoveCommand` or `MoveCommand` in `createCommand`
`java.lang.Object` `getImage(java.lang.Object object)` This implements `IItemLabelProvider.getImage` by returning null.
`java.lang.Object` `getParent(java.lang.Object object)` This returns the parent of the TreeNode.
`java.util.List<IItemPropertyDescriptor>` `getPropertyDescriptors(java.lang.Object object)` This returns the property descriptors for the adapted class.
`java.lang.String` `getText(java.lang.Object object)` This implements `IItemLabelProvider.getText` by simply calling toString on the argument.
`void` `notifyChanged(Notification notification)` This handles notification by calling `fireNotifyChanged`.
`void` `setTarget(Notifier target)` Sets the target from which the adapter will receive notification.

Methods inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

`addListener, adjustWrapperIndex, adjustWrapperIndices, adjustWrapperIndices, createAddCommand, createAddCommand, createChildParameter, createChildrenStore, createCommand, createCopyCommand, createCreateChildCommand, createCreateChildCommand, createCreateCopyCommand, createDragAndDropCommand, createInitializeCopyCommand, createItemPropertyDescriptor, createItemPropertyDescriptor, createMoveCommand, createMoveCommand, createRemoveCommand, createRemoveCommand, createReplaceCommand, createReplaceCommand, createSetCommand, createSetCommand, createWrapper, crop, disposeWrapper, disposeWrappers, factorAddCommand, factorMoveCommand, factorRemoveCommand, fireNotifyChanged, getAdapterFactory, getBaseURL, getChildFeature, getChildReference, getChildren, getChildrenReferences, getChildrenStore, getCreateChildDescription, getCreateChildImage, getCreateChildResult, getCreateChildText, getCreateChildToolTipText, getEditableValue, getElements, getFeatureText, getFeatureValue, getImage, getNewChildDescriptors, getPropertyDescriptor, getPropertyValue, getReferenceValue, getResourceLocator, getResourceLocator, getRootAdapterFactory, getSetFeature, getSetFeatures, getString, getString, getString, getString, getString, getString, getString, getString, getTypeText, getTypeText, getUpdateableText, getWrappedValues, hasChildren, isAdapterForType, isEquivalentValue, isPropertySet, isValidValue, isWrappingNeeded, overlayImage, removeListener, resetPropertyValue, setPropertyValue, shouldTranslate, unsetTarget, unwrap, unwrapCommandValues, updateChildren, wrap, wrapCommand`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`getTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.edit.provider.IEditingDomainItemProvider
`createCommand, getChildren, getNewChildDescriptors`

Methods inherited from interface org.eclipse.emf.edit.provider.ITreeItemContentProvider
`getChildren, hasChildren`

Methods inherited from interface org.eclipse.emf.edit.provider.IItemPropertySource
`getEditableValue, getPropertyDescriptor`

Field Detail

### delegateItemProvider

    protected IChangeNotifier delegateItemProvider

### itemDelegator

    protected AdapterFactoryItemDelegator itemDelegator

Constructor Detail

### TreeNodeItemProvider

    public TreeNodeItemProvider(AdapterFactory adapterFactory)

  This constructs an instance from a factory and a notifier.

Method Detail

### setTarget

    public void setTarget(Notifier target)

  Description copied from interface: `Adapter`
  Sets the target from which the adapter will receive notification. This method is only to be called by a notifier when this adapter is added to or removed from its adapter list. In general, an adapter may be shared by more than one notifier.

  Specified by:
    `setTarget` in interface `Adapter`
  Overrides:
    `setTarget` in class `ItemProviderAdapter`
  Parameters:
    `target` - the new notifier.
  See Also:
    `Adapter.getTarget()`

### getPropertyDescriptors

    public java.util.List<IItemPropertyDescriptor> getPropertyDescriptors(java.lang.Object object)

  This returns the property descriptors for the adapted class.

  Specified by:
    `getPropertyDescriptors` in interface `IItemPropertySource`
  Overrides:
    `getPropertyDescriptors` in class `ItemProviderAdapter`

### getChildrenFeatures

    public java.util.Collection<? extends EStructuralFeature> getChildrenFeatures(java.lang.Object object)

  This specifies how to implement `getChildren` and is used to deduce an appropriate feature for an `AddCommand`, `RemoveCommand` or `MoveCommand` in `createCommand`.

  Overrides:
    `getChildrenFeatures` in class `ItemProviderAdapter`

### getParent

    public java.lang.Object getParent(java.lang.Object object)

  This returns the parent of the TreeNode.

  Specified by:
    `getParent` in interface `IEditingDomainItemProvider`
  Specified by:
    `getParent` in interface `ITreeItemContentProvider`
  Overrides:
    `getParent` in class `ItemProviderAdapter`

### getImage

    public java.lang.Object getImage(java.lang.Object object)

  Description copied from class: `ItemProviderAdapter`
  This implements `IItemLabelProvider.getImage` by returning null. Most things really should have an icon, but not having one is technically correct too.

  Specified by:
    `getImage` in interface `IItemLabelProvider`
  Overrides:
    `getImage` in class `ItemProviderAdapter`

### getText

    public java.lang.String getText(java.lang.Object object)

  Description copied from class: `ItemProviderAdapter`
  This implements `IItemLabelProvider.getText` by simply calling toString on the argument. This will often be correct as is.

  Specified by:
    `getText` in interface `IItemLabelProvider`
  Overrides:
    `getText` in class `ItemProviderAdapter`

### notifyChanged

    public void notifyChanged(Notification notification)

  This handles notification by calling `fireNotifyChanged`. This will also be called by the `delegateItemProvider` when it normally fires a notification to its adapter factory; the listener method is hooked up in `setTarget`. Notifications are wrapped to look like they originate from the target.

  Specified by:
    `notifyChanged` in interface `Adapter`
  Specified by:
    `notifyChanged` in interface `INotifyChangedListener`
  Overrides:
    `notifyChanged` in class `AdapterImpl`
  Parameters:
    `notification` - a description of the change.

### collectNewChildDescriptors

    protected void collectNewChildDescriptors(java.util.Collection<java.lang.Object> newChildDescriptors,
                                              java.lang.Object object)

  This adds `CommandParameter`s describing the children that can be created under this object.

  Overrides:
    `collectNewChildDescriptors` in class `ItemProviderAdapter`

### dispose

    public void dispose()

  Description copied from class: `ItemProviderAdapter`
  This will remove this adapter from all its the targets and dispose any remainging children wrappers in the children store.

  Specified by:
    `dispose` in interface `IDisposable`
  Overrides:
    `dispose` in class `ItemProviderAdapter`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.